Package: org.gradle.language.base.sources

## [Java] Class BaseLanguageSourceSet

- org.gradle.language.base.sources.BaseLanguageSourceSet

- All Implemented Interfaces and Traits:
    org.gradle.language.base.internal.LanguageSourceSetInternal

      public abstract class BaseLanguageSourceSet
      extends org.gradle.api.internal.AbstractBuildableModelElement

  Base class for custom language sourceset implementations. A custom implementation of LanguageSourceSet must extend this type.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected org.gradle.api.internal.file.FileResolver` | `fileResolver` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected BaseLanguageSourceSet ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `builtBy(Object... tasks)`
    `static T` | `create(Class<T> type, String name, String parentName, org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.internal.reflect.Instantiator instantiator)`
    `void` | `generatedBy(Task generatorTask)`
    `String` | `getDisplayName()`
    `String` | `getFullName()`
    `Task` | `getGeneratorTask()`
    `boolean` | `getMayHaveSources()`
    `String` | `getName()`
    `String` | `getParentName()`
    `SourceDirectorySet` | `getSource()`
    `protected String` | `getTypeName()`
    `void` | `source(Action<? super SourceDirectorySet> config)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.api.internal.AbstractBuildableModelElement` | `org.gradle.api.internal.AbstractBuildableModelElement#getBuildDependencies(), org.gradle.api.internal.AbstractBuildableModelElement#builtBy([Ljava.lang.Object;), org.gradle.api.internal.AbstractBuildableModelElement#getBuildTask(), org.gradle.api.internal.AbstractBuildableModelElement#hasBuildDependencies(), org.gradle.api.internal.AbstractBuildableModelElement#setBuildTask(org.gradle.api.Task), org.gradle.api.internal.AbstractBuildableModelElement#wait(long, int), org.gradle.api.internal.AbstractBuildableModelElement#wait(long), org.gradle.api.internal.AbstractBuildableModelElement#wait(), org.gradle.api.internal.AbstractBuildableModelElement#equals(java.lang.Object), org.gradle.api.internal.AbstractBuildableModelElement#toString(), org.gradle.api.internal.AbstractBuildableModelElement#hashCode(), org.gradle.api.internal.AbstractBuildableModelElement#getClass(), org.gradle.api.internal.AbstractBuildableModelElement#notify(), org.gradle.api.internal.AbstractBuildableModelElement#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected org.gradle.api.internal.file.FileResolver fileResolver

  - ### Constructor Detail

    - #### protected BaseLanguageSourceSet()

  - ### Method Detail

    - #### @Override public void builtBy(Object... tasks)

    - #### public static T create(Class<T> type, String name, String parentName, org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.internal.reflect.Instantiator instantiator)

    - #### public void generatedBy(Task generatorTask)

    - #### public String getDisplayName()

    - #### public String getFullName()

    - #### public Task getGeneratorTask()

    - #### public boolean getMayHaveSources()

    - #### public String getName()

    - #### public String getParentName()

    - #### public SourceDirectorySet getSource()

    - #### protected String getTypeName()

    - #### public void source(Action<? super SourceDirectorySet> config)

    - #### @Override public String toString()